## org.apache.lucene.util.automaton
Class CharacterRunAutomaton

    java.lang.Object
      org.apache.lucene.util.automaton.RunAutomaton
          org.apache.lucene.util.automaton.CharacterRunAutomaton

    public class CharacterRunAutomaton

extends RunAutomaton

Automaton representation for matching char[].

Constructor Summary
`CharacterRunAutomaton(Automaton a)`

Method Summary
`boolean` `run(char[] s, int offset, int length)` Returns true if the given string is accepted by this automaton
`boolean` `run(String s)` Returns true if the given string is accepted by this automaton.

Methods inherited from class org.apache.lucene.util.automaton.RunAutomaton
`getCharIntervals, getInitialState, getSize, isAccept, step, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CharacterRunAutomaton

    public CharacterRunAutomaton(Automaton a)

Method Detail

### run

    public boolean run(String s)

  Returns true if the given string is accepted by this automaton.

### run

    public boolean run(char[] s,
                       int offset,
                       int length)

  Returns true if the given string is accepted by this automaton

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.